# Summary

- [Collections recipes](./collections/index.md)
  - [Storing built-in values](./collections/storing_builtin.md)
  - [Using iterators](./collections/iterators.md)
  - [Using JSON data](./collections/using_json.md)
- [Acedia events system](./events/index.md)
  - [Connecting to signal](./events/connecting.md)
  - [Disconnecting from signal](./events/disconnecting.md)
  - [Custom signals](./events/custom.md)
- [Feature recipes](./feature/index.md)
  - [Creating a `Feature`](./feature/creating_feature.md)
  - [Packaging a `Feature`](./feature/packaging_feature.md)
- [AcediaObject recipes](./object/index.md)
  - [Allocating object](./object/allocate.md)
  - [Detect object reallocation](./object/detect_reallocation.md)
  - [Force object deallocation](./object/force_deallocation.md)
