# Feature recipes

A collection of `how-to`s for working with `Feature` class.

This class is Acedia's replacement for `Mutators`: a certain subset of
functionality that can be enabled or disabled, according to server owner's
wishes.
Unlike `Mutator`s:

* There is no limit for the amount of `Feature`s that can be active
    at the same time;
* They also provide built-in ability to have several different configs
    that can be swapped during the runtime;
* They can be enabled / disabled during the runtime.
    Achieving these points currently comes at the cost of developer having to
    perform additional work;
* They are server-side and for now are not supposed to be created for
  the clients.
